local assets = 
{
    Asset("ANIM", "anim/dst_myth/lavaarena_battlestandard_myth.zip"),
}

local function DoPulse(inst)
    inst.task = nil
    --if inst.level > 0 then
        inst:Show()
        inst.AnimState:PlayAnimation("attack_fx3")
    --else
    --    inst:Remove()
    --end
end


local function OnPulseAnimOver(inst)
    if inst.task ~= nil then
        inst.task:Cancel()
        inst.task = nil
    end
    --if inst.level >= 7 then
        --inst.AnimState:PlayAnimation("attack_fx3")
    --elseif inst.level > 0 then
        inst.task = inst:DoTaskInTime(2, DoPulse)
    --    inst:Hide()
    --else
    --    inst:Remove()
    --end
end

local function CreatePulse()
    local inst = CreateEntity()

    inst:AddTag("DECOR") --"FX" will catch mouseover
    inst:AddTag("NOCLICK")
    inst:AddTag("FX")
    --[[Non-networked entity]]
    inst.entity:SetCanSleep(false)
    inst.persists = false

    inst.entity:AddTransform()
    inst.entity:AddAnimState()

    inst.AnimState:SetBank("lavaarena_battlestandard")
    inst.AnimState:SetBuild("lavaarena_battlestandard_myth")
    inst.AnimState:SetOrientation(ANIM_ORIENTATION.OnGround)
    inst.AnimState:SetLayer(LAYER_BACKGROUND)
    inst.AnimState:SetSortOrder(3)

    inst:Hide()
    --inst.level = 0
    inst.task = inst:DoTaskInTime(1, DoPulse)
    inst:ListenForEvent("animover", OnPulseAnimOver)

    return inst
end
--
return Prefab('lavaarena_battle_buff_fx', CreatePulse, assets)