
local assets =
{
    Asset("ANIM", "anim/cloud_puff_soft.zip"),
	Asset("ANIM", "anim/mkcloud.zip"),
}

local function fxfn()
	local inst = CreateEntity()
	inst.entity:AddTransform()
    inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()

	inst:AddTag("FX")
	inst:AddTag( "NOCLICK" )
	
	inst.AnimState:SetBank("splash_clouds_drop")
    inst.AnimState:SetBuild("cloud_puff_soft")
    inst.AnimState:PlayAnimation("idle_sink")
	inst.AnimState:OverrideSymbol("poof", "mkcloud", "poof")
    inst.AnimState:SetFinalOffset(1)

	inst.Transform:SetScale(3, 3, 3)
	
	inst.persists = false
	inst.entity:SetCanSleep(false)

	inst:ListenForEvent("animover", inst.Remove)

	inst.SoundEmitter:PlaySound("dontstarve/common/fireAddFuel")

	return inst
end

local function smallone()
	local inst = SpawnPrefab('mk_cloudpuff')
	inst.Transform:SetScale(.6,.6,.6)

	return inst
end

return Prefab("mk_cloudpuff", fxfn, assets),Prefab("mk_cloudpuff_small", smallone, assets)
