
local CloudDriver = Class(function(self, inst)
    self.inst = inst
    self.cloudprefab = ''
    self.cloud = nil
    self.offset = Vector3(0,0,0)
    --self.lefttime = 100
    self.mounted = false
end)

function CloudDriver:Mount(cloud)
	self.mounted = true
	cloud.entity:SetParent(self.inst.entity)
    cloud.Transform:SetPosition(0,0,0)
	--cloud.Transform:SetPosition(self.offset:Get())
	cloud.components.mk_cloud:OnMounted()
	self.cloud = cloud
    self.inst:AddTag("aquatic")
    self.inst.sg:GoToState("jumpboatland")
	--MakeAmphibiousCharacterPhysics(self.inst, 75, .5)
end

function CloudDriver:Dismount(pos,boat_to_boat)
	self.mounted = false
	local cloud = self.cloud
	self.cloud = nil
	cloud.entity:SetParent(nil)
	cloud.components.mk_cloud:OnDismounted()

    if pos then
        self.inst.sg:GoToState("jumpoffboatstart", pos)
    elseif boat_to_boat then
        self.inst.sg:GoToState("jumponboatstart")
    end

	--MakeCharacterPhysics(self.inst, 75, .5)
end

function CloudDriver:OnSave()
    return
    {
        time = self.recharge,
    }
end

function CloudDriver:OnLoad(data)
    if data ~= nil and data.time ~= nil and data.time ~= 0 then
        self.recharge = data.time
            self:StartRecharging()
    end
end

return CloudDriver