local Wine = Class(function(self, inst)
	self.inst = inst
end)

function Wine:CollectUseActions(doer, target, actions, right)
	if target.components.wined and not target.components.wined:IsFull() and right then
		table.insert(actions, ACTIONS.MK_ADDWINE)
	end
end

function Wine:Add(target)
	local left = target.components.wined:GetLeft()
	local item = self.inst.components.stackable:Get(left)
	local num = item.components.stackable:StackSize()
	target.components.wined:Add(num)
	item:Remove()
end

return Wine