
local assets =
{
    Asset("ANIM", "anim/chop_jungle.zip"),
}

local function fx(name, anim)
	local function fn()
		local inst = CreateEntity()

		inst.entity:AddTransform()
		inst.entity:AddAnimState()
    	
		inst:AddTag("FX")

		inst.AnimState:SetBank("chop_jungle")
    	inst.AnimState:SetBuild("chop_jungle")
    	inst.AnimState:PlayAnimation(anim)
    	inst.AnimState:SetFinalOffset(-1)

		inst.entity:SetCanSleep(false)
    
		inst.persists = false
		inst:ListenForEvent("animover", inst.Remove)
		return inst
	end

	return Prefab(name, fn, assets)
end
return fx("peach_chop", "chop" ),fx("peach_fall", "fall" )